KDE 4.7 PyKDE API Reference

- KDE's Python API

# KTzfileTimeZoneBackend Class Reference

`from PyKDE4.kdecore import *`

Inherits: KTimeZoneBackend

## Detailed Description

Backend class for KTzfileTimeZone class.

This class implements KTzfileTimeZone's constructors and virtual methods. A backend class is required for all classes inherited from KTimeZone to allow KTimeZone virtual methods to work together with reference counting of private data.

Backend class for KTzfileTimeZone class

See also:
  KTimeZoneBackend, KTzfileTimeZone, KTimeZone

Author:
  David Jarvie <djarvie@kde.org>.

## Methods
| __init__ (self, KTzfileTimeZoneSource source, QString name, QString countryCode, float latitude, float longitude, QString comment)
KTimeZoneBackend | clone (self)
bool | hasTransitions (self, KTimeZone caller)
QByteArray | type (self)

## Method Documentation

__init__ | ( | self, |
|  | KTzfileTimeZoneSource | source,
|  | QString | name,
|  | QString | countryCode,
|  | float | latitude,
|  | float | longitude,
|  | QString | comment
| ) |  |  |

Implements KTzfileTimeZone.KTzfileTimeZone().

KTimeZoneBackend clone | ( |  | self ) |

Creates a copy of this instance.

Returns:
  new copy

bool hasTransitions | ( | self, |
|  | KTimeZone | caller
| ) |  |  |

Implements KTzfileTimeZone.hasTransitions().

Returns whether daylight saving transitions are available for the time zone.

Parameters:

  | caller | calling KTzfileTimeZone object

Returns:
  true

QByteArray type | ( |  | self ) |

Returns the class name of the data represented by this instance.

Returns:
  "KTzfileTimeZone"